CDEMU-DAEMON(8)

NAME
cdemud - The CDEmu daemon

SYNOPSIS
cdemu-daemon [options]

DESCRIPTION
This is CDEmu daemon, the userspace daemon part of the userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It receives SCSI commands from kernel module and processes them, passing the requested data back to the kernel. Daemon implements the actual virtual device; one instance per each device registered by kernel module. It uses libMirage, an image access library that is part of userspace-cdemu suite, for the image access (e.g. sector reading). The daemon registers itself on D-BUS' system or session bus (depending on the options passed to it) where it exposes an interface that can be used by clients to control it.

OPTIONS

-n --num-devices=N
    Number of devices. Specifies the number of virtual devices the daemon instance should register with kernel module and control. By default, 1 virtual device is created.

-c --ctl-device=path
    Control device. Specifies the control device path. Control device is a character device provided by kernel module; it is used for communication between kernel and userspace part of CDEmu suite. By default, /dev/vhba_ctl is used.

-a --audio-driver=driver
    Audio driver. Specifies audio driver to be used by virtual devices' audio play. Since libao is used for audio playback, any valid libao driver can be specified. If default is used as a driver, then libao's default driver is used. Few examples of valid libao drivers are alsa, oss, pulse or null. For all drivers, default device is used. By default, if audio driver is not explicitly specified via this option, null is used.

-b --bus=bus_type
    Bus type. Valid options are system or session. By default, session bus is used. (Please note that the running of CDEmu daemon on system bus is considered deprecated and is discouraged for security reasons).

-l --logfile=logfile
    Log file to write logging output into. By default, use of log file is disabled and messages are written to stdout.

-? --help
    Display the help message.

EXAMPLES

Running daemon on default bus with PulseAudio audio driver and 4 virtual devices:
    cdemu-daemon --num-devices=4 --audio-driver=pulse

Running daemon on system bus with 2 virtual devices and logging redirected to a file:
    cdemu-daemon --num-devices=2 --bus=system --logfile=/tmp/cdemu-daemon.log

AUTHORS

Rok Mandeljc <rok.mandeljc@gmail.com>

CDEmu project's web page: http://cdemu.sourceforge.net

CDEmu project's mailing list: cdemu-devel@lists.sourceforge.net